local Nature = foundation.createMod();

Nature:dofile("monuments.lua")

Nature:registerAssetId("models/nature.fbx/Prefab/Grass1", "PREFAB_GRASS1")
Nature:registerAssetId("models/nature.fbx/Prefab/Grass2", "PREFAB_GRASS2")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone1", "PREFAB_STONE1")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone2", "PREFAB_STONE2")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone3", "PREFAB_STONE3")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone4", "PREFAB_STONE4")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone5", "PREFAB_STONE5")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone6", "PREFAB_STONE6")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone7", "PREFAB_STONE7")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone_Tall1", "PREFAB_STONE_TALL1")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone_Tall2", "PREFAB_STONE_TALL2")
Nature:registerAssetId("models/nature.fbx/Prefab/Stone_Tall3", "PREFAB_STONE_TALL3")
Nature:registerAssetId("models/nature.fbx/Prefab/Boulder1", "PREFAB_BOULDER1")
Nature:registerAssetId("models/nature.fbx/Prefab/Boulder2", "PREFAB_BOULDER2")
Nature:registerAssetId("models/nature.fbx/Prefab/Boulder3", "PREFAB_BOULDER3")
Nature:registerAssetId("models/nature.fbx/Prefab/Tree1", "PREFAB_TREE1")
Nature:registerAssetId("models/nature.fbx/Prefab/Tree2", "PREFAB_TREE2")
Nature:registerAssetId("models/nature.fbx/Prefab/Tree_Stump", "PREFAB_TREE_STUMP")
Nature:registerAssetId("models/nature.fbx/Prefab/Tree_Dead", "PREFAB_TREE_DEAD")
Nature:registerAssetId("models/nature.fbx/Prefab/Water_Circle", "PREFAB_WATER_CIRCLE")
Nature:registerAssetId("models/nature.fbx/Prefab/Water_Circle_Large", "PREFAB_WATER_CIRCLE_LARGE")
Nature:registerAssetId("models/nature.fbx/Prefab/Water_Circle_Large2", "PREFAB_WATER_CIRCLE_LARGE2")
Nature:registerAssetId("models/nature.fbx/Prefab/Water_Square", "PREFAB_WATER_SQUARE")
Nature:registerAssetId("models/nature.fbx/Prefab/Water_Square_Large", "PREFAB_WATER_SQUARE_LARGE")
Nature:registerAssetId("models/nature.fbx/Prefab/Water_Square_Large2", "PREFAB_WATER_SQUARE_LARGE2")
Nature:registerAssetId("models/nature.fbx/Prefab/Grass_Clearing_Stone_Small", "PREFAB_GRASS_CLEARING_STONE_SMALL")
Nature:registerAssetId("models/nature.fbx/Prefab/Grass_Clearing_Stone", "PREFAB_GRASS_CLEARING_STONE")
Nature:registerAssetId("models/nature.fbx/Prefab/Grass_Clearing_Stone_Large", "PREFAB_GRASS_CLEARING_STONE_LARGE")
Nature:registerAssetId("models/nature.fbx/Materials/butterfly", "BUTTERFLY_MATERIAL")
Nature:registerAssetId("models/nature.fbx/Materials/water", "WATER_MATERIAL")
Nature:registerAssetId("models/nature.fbx/Materials/leaves", "LEAVES_MATERIAL")

Nature:override({
    Id = "BUTTERFLY_MATERIAL",
	HasAlphaTest = true,
	BackFaceVisible = true
})
Nature:override({
    Id = "LEAVES_MATERIAL",
	HasAlphaTest = true,
	BackFaceVisible = true
})

Nature:register({
	DataType = "WALL_CONFIG",
	Id = "STREAM",
	WallConfigName = "STREAM_NAME",
	IsManuallyUnlocked = false,
	Material = "WATER_MATERIAL",
	MaterialTop = "WATER_MATERIAL",
	StepLength = 0.5,
	Width = 3.5,
	Height = 0.17,
	UvTillingWall = 0.1,
	UvTillingTop = 0.1,
	WallOffsetY = 0,
	CrenationOffsetY = 0,
	CrenationOffsetZ = 0
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "GRASS1",
	Name = "GRASS1_NAME",
	Description = "GRASS1_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GRASS1"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "GRASS2",
	Name = "GRASS2_NAME",
	Description = "GRASS2_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GRASS2"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE1",
	Name = "STONE1_NAME",
	Description = "STONE1_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE1"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE2",
	Name = "STONE2_NAME",
	Description = "STONE2_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE2"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE3",
	Name = "STONE3_NAME",
	Description = "STONE3_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE3"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE4",
	Name = "STONE4_NAME",
	Description = "STONE4_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE4"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE5",
	Name = "STONE5_NAME",
	Description = "STONE5_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE5"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE6",
	Name = "STONE6_NAME",
	Description = "STONE6_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE6"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE7",
	Name = "STONE7_NAME",
	Description = "STONE7_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE7"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE_TALL1",
	Name = "STONE_TALL1_NAME",
	Description = "STONE_TALL1_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE_TALL1"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE_TALL2",
	Name = "STONE_TALL2_NAME",
	Description = "STONE_TALL2_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE_TALL2"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "STONE_TALL3",
	Name = "STONE_TALL1_NAME",
	Description = "STONE_TALL3_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_STONE_TALL3"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "BOULDER1",
	Name = "BOULDER1_NAME",
	Description = "BOULDER1_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1, 1},
			{1, -1},
			{-1, -1},
			{-1, 1}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BOULDER1"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "BOULDER2",
	Name = "BOULDER2_NAME",
	Description = "BOULDER2_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1.5, 1.5},
			{1.5, -1.5},
			{-1.5, -1.5},
			{-1.5, 1.5}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BOULDER2"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "BOULDER3",
	Name = "BOULDER3_NAME",
	Description = "BOULDER3_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1, 1},
			{1, -1},
			{-1, -1},
			{-1, 1}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BOULDER3"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "TREE1",
	Name = "TREE1_NAME",
	Description = "TREE1_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.2, 0.2},
			{0.2, -0.2},
			{-0.2, -0.2},
			{-0.2, 0.2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TREE1"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "TREE2",
	Name = "TREE2_NAME",
	Description = "TREE2_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.3, 0.3},
			{0.3, -0.3},
			{-0.3, -0.3},
			{-0.3, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TREE2"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "TREE_STUMP",
	Name = "TREE_STUMP_NAME",
	Description = "TREE_STUMP_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.3, 0.3},
			{0.3, -0.3},
			{-0.3, -0.3},
			{-0.3, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TREE_STUMP"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "TREE_DEAD",
	Name = "TREE_DEAD_NAME",
	Description = "TREE_DEAD_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{0.3, 0.3},
			{0.3, -0.3},
			{-0.3, -0.3},
			{-0.3, 0.3}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TREE_DEAD"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "WATER_CIRCLE",
	Name = "WATER_CIRCLE_NAME",
	Description = "WATER_CIRCLE_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1, 1},
			{1, -1},
			{-1, -1},
			{-1, 1}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WATER_CIRCLE"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "WATER_CIRCLE_LARGE",
	Name = "WATER_CIRCLE_LARGE_NAME",
	Description = "WATER_CIRCLE_LARGE_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{2, 2},
			{2, -2},
			{-2, -2},
			{-2, 2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WATER_CIRCLE_LARGE"
	}
})Nature:register({
	DataType = "BUILDING_PART",
	Id = "WATER_CIRCLE_LARGE2",
	Name = "WATER_CIRCLE_LARGE2_NAME",
	Description = "WATER_CIRCLE_LARGE2_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{3.5, 3.5},
			{3.5, -3.5},
			{-3.5, -3.5},
			{-3.5, 3.5}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WATER_CIRCLE_LARGE2"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "WATER_SQUARE",
	Name = "WATER_SQUARE_NAME",
	Description = "WATER_SQUARE_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{1, 1},
			{1, -1},
			{-1, -1},
			{-1, 1}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WATER_SQUARE"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "WATER_SQUARE_LARGE",
	Name = "WATER_SQUARE_LARGE_NAME",
	Description = "WATER_SQUARE_LARGE_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{2, 2},
			{2, -2},
			{-2, -2},
			{-2, 2}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WATER_SQUARE_LARGE"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "WATER_SQUARE_LARGE2",
	Name = "WATER_SQUARE_LARGE2_NAME",
	Description = "WATER_SQUARE_LARGE2_DESC",
	Category = "DECORATION",
	BuildingZone = {
		DataType = "BUILDING_ZONE",
		Polygon = {
			{4, 4},
			{4, -4},
			{-4, -4},
			{-4, 4}
		}
	},
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WATER_SQUARE_LARGE2"
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "GRASS_CLEARING_STONE_SMALL",
	Name = "GRASS_CLEARING_STONE_SMALL_NAME",
	Description = "GRASS_CLEARING_STONE_SMALL_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GRASS_CLEARING_STONE_SMALL"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 1,
			Value = 0
		}
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "GRASS_CLEARING_STONE",
	Name = "GRASS_CLEARING_STONE_NAME",
	Description = "GRASS_CLEARING_STONE_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GRASS_CLEARING_STONE"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 4,
			Value = 0
		}
	}
})
Nature:register({
	DataType = "BUILDING_PART",
	Id = "GRASS_CLEARING_STONE_LARGE",
	Name = "GRASS_CLEARING_STONE_LARGE_NAME",
	Description = "GRASS_CLEARING_STONE_LARGE_DESC",
	Category = "DECORATION",
	Mover = { 
		DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GRASS_CLEARING_STONE_LARGE"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 6,
			Value = 0
		}
	}
})

Nature:registerPrefabComponent("models/nature.fbx/Prefab/Grass_Clearing_Stone", {
	DataType = "COMP_DIRT_CIRCLE"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Grass_Clearing_Stone_Small", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 0.8,
	SoftRadius = 1.1,
	Strength = 1
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Grass_Clearing_Stone_Large", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 5,
	SoftRadius = 7,
	Strength = 1
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone1/set1", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone1/set2", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone1/set3", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone1/set4", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone1/set5", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone1/set6", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone2/set7", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone2/set8", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone2/set9", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone2/set10", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone2/set11", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone2/set12", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone4/set14", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone4/set15", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone4/set16", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone5/set17", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone5/set18", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone5/set19", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone6/set20", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone6/set21", {
	DataType = "COMP_GROUNDED"
})
Nature:registerPrefabComponent("models/nature.fbx/Prefab/Stone6/set22", {
	DataType = "COMP_GROUNDED"
})